Skip to main content
GET
/
api
/
v1
/
syncs
/
{sync_id}
/
sync_runs
/
{sync_run_id}
/
sync_records
List sync records for a specific sync run
curl --request GET \
  --url https://api.squared.ai/api/v1/syncs/{sync_id}/sync_runs/{sync_run_id}/sync_records \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "type": "sync_records",
      "attributes": {
        "sync_id": 123,
        "sync_run_id": 123,
        "record": {
          "id": 123,
          "state": "<string>",
          "last_name": "<string>",
          "first_name": "<string>",
          "phone_number": 123,
          "email_address": "<string>"
        },
        "status": "<string>",
        "action": "<string>",
        "error": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    }
  ],
  "links": {
    "self": "<string>",
    "first": "<string>",
    "prev": "<string>",
    "next": "<string>",
    "last": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://multiwoven-74-feature--update-docker-compose-docs.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

sync_id
integer
required

The ID of the sync to list records for.

sync_run_id
integer
required

The ID of the sync run to list records for.

Query Parameters

status
string

Optional status to filter the sync records by.

page
integer

Page number for pagination.

Response

A JSON array of sync records

data
object[]